/***************************************************************************
   NOTEECHO - echos Linux serial port MIDI input back to the MIDI port

	(C) 2000 by Michael Minn - nycminn@earthlink.net

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

****************************************************************************/

#include <unistd.h>
#include <stdio.h>
#include <fcntl.h>
#include "libnotemidi.h"

int main(int argc, char **argv)
{
	int status = 0;
	int screen = 0;
	int file_descriptor = -1;
	unsigned char buffer = 0;
	
	puts("NOTEECHO " LIBNOTEMIDI_VERSION "\n");
	
	if ((argc == 3) && (strcmp(argv[1], "-screen") == 0))
		screen = 1;
		
	else if (argc != 2)
	{
		printf("SYNTAX: noteecho [-screen] <MIDI port name>\n");
		return -1;
	}
		
	if ((file_descriptor = open(argv[argc - 1], O_RDWR | O_NOCTTY)) < 0)
		perror(argv[argc - 1]);
		
	else while ((status = read(file_descriptor, &buffer, 1)) >= 0)
		if (status)
		{
			status = write(file_descriptor, &buffer, 1);
			if (screen && (buffer != 0xFE))
				printf("%02x\n", buffer);
		}
	
	return 0;
}

