/***************************************************************************
 NOTEPLAY - simple MIDI player for the NOTEMIDI Linux serial port MIDI module

	(C) 2000 by Michael Minn - nycminn@earthlink.net

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

****************************************************************************/

//#include <sys/time.h>
//#include <unistd.h>
#include <stdio.h>
#include "libnotemidi.h"

int main(int argc, char **argv)
{
	int scan = 0;
	char *midi_device = "/dev/ms124w";
	char *file_name = NULL;
	puts("NOTEPLAY " LIBNOTEMIDI_VERSION "\n");
	
	if ((argc == 4) && (strcmp(argv[1], "-d") == 0))
	{
		midi_device = argv[2];
		file_name = argv[3];
	}
	else if (argc == 2)
		file_name = argv[1];
	else
	{
		printf("SYNTAX: noteplay [-d <device name>] <midi file name>\n");
		return -1;
	}
	
	libnotemidi midi_port(midi_device);
	
	midi_port.play_midi_file(file_name);
	
	return 0;
}

