/***************************************************************************
 NOTERECORD - simple MIDI recorder for the NOTEMIDI Linux serial port MIDI module

	(C) 2000 by Michael Minn - nycminn@earthlink.net

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

****************************************************************************/

#include <stdio.h>
#include <signal.h>
#include "libnotemidi.h"


int main(int argc, char **argv)
{
	char *file_name = NULL;
	char *device_name = "/dev/ms124w";
	
	puts("NOTERECORD " LIBNOTEMIDI_VERSION "\n");
	
	if (argc == 3)
		device_name = argv[1];
		
	else if (argc != 2)
		printf("SYNTAX: noterecord [<device name>] <output file name>\n");
		
	else
	{
		libnotemidi midi_port(device_name);
		midi_port.record_midi_file(argv[argc - 1]);
	}
		
	return 0;
}

